import { StyleSheet, Text, View} from 'react-native'
import Button from '../../atoms/Button'
import React from 'react'
import colors from '../../../theme/colors'
import fonts from '../../../theme/fonts'

const SecondaryButton = ({ onPress, title, buttonStyle, titleStyle }) => {
    return (
        <Button
            onPress={onPress}
            style={[styles.button,buttonStyle]}
        >
            <Text style={[styles.buttonTextStyle,titleStyle]}>
                {title}
            </Text>
        </Button>
    )
}

export default SecondaryButton

const styles = StyleSheet.create({
  
    button:{
        backgroundColor: colors.secondaryColor,
        maxWidth: '100%',
        width: '100%',
        alignItems:'center'
    },
    buttonTextStyle:{
        fontFamily: fonts.type.medium,
        color: colors.white
    }

})