import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import FeatherIcon from 'react-native-vector-icons/Feather'
import colors from '../../../theme/colors'
import ButtonWrapper from '../../atoms/ButtonWrapper'

const SettingsButton = ({onPress,buttonStyle,iconColor,iconSize}) => {
    
  return (
    <ButtonWrapper onPress={onPress} buttonStyle={buttonStyle}>
      <FeatherIcon name='settings' color={iconColor ? iconColor : styles.icon.color} size={iconSize ? iconSize : styles.icon.fontSize} />
    </ButtonWrapper>
  )
}

export default SettingsButton

const styles = StyleSheet.create({
    icon:{
        fontSize: 20,
        color: colors.primaryColor
    }
})